StocksAndFisheriesKB - Feature #24608
Task # 24611 (In Progress): Create the new GRSF Publisher service
Task # 24606 (New): Add FAO Areas code as tag to records

Add Areas code in the JSON to allow GRSF Publisher to create tags
Feb 16, 2023 12:28 PM - Luca Frosini

Status: In Progress Start date: Feb 16, 2023
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 50%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Related issues:
Blocks StocksAndFisheriesKB - Feature #24607: Add support to create tag for ... New Feb 16, 2023

History

#1 - Feb 16, 2023 12:28 PM - Luca Frosini
- Blocks Feature #24607: Add support to create tag for FAO Areas code added

#2 - Feb 16, 2023 12:28 PM - Luca Frosini

- Subject changed from Added FAO Areas code in the JSON to allow GRSF Publisher to create tags to Add FAO Areas code in the JSON to allow
GRSF Publisher to create tags

#3 - Feb 16, 2023 12:29 PM - Luca Frosini

- Tracker changed from Task to Feature

#4 - Feb 20, 2023 10:46 AM - Yannis Marketakis

Is this related to the discussion we have about providing some hidden areas while publishing/updating, that will be used for generated tags?
If so, just to clarify that they will not be just FAO areas, but areas of any type.

#5 - Feb 21,2023 11:28 AM - Luca Frosini

- Subject changed from Add FAO Areas code in the JSON to allow GRSF Publisher to create tags to Add Areas code in the JSON to allow GRSF
Publisher to create tags

Yannis Marketakis wrote in #note-4:

Is this related to the discussion we have about providing some hidden areas while publishing/updating, that will be used for generated tags?

Yes

If so, just to clarify that they will not be just FAO areas, but areas of any type.

| created the ticket togheter with @aureliano.gentile@fao.org.
| have indeed modified the title. Thanks for the clarification.

#6 - Apr 07, 2023 01:51 PM - Yannis Marketakis
- File f0eb0Oe4d-f2a6-39a2-bfd2-0b541af416dc.json added
- Status changed from New to In Progress

- % Done changed from 0 to 50

A new functionality that includes all the parent areas for a record has been implemented.
As agreed, the extended collection of areas, is added in a different field in the submitted json file. This field is called hidden_assessment_area.

The difference between assessment_area and hidden_assessment_area is that the first one contains the explicit areas, while the second one
contains both the explicit and the parent areas.
The following part of the submitted json shows the contents of the two field for the stock
https://data.d4science.org/ctlg/GRSF_Pre/f0eb0e4d-f2a6-39a2-bfd2-0b541af416dc.

{

"assessment_area": [
"Code: 47, System: lme, Name: Antarctica"

1,

"hidden_assessment_area": [
"Code: 88, System: fao, Name: Pacific, Antarctic",
"Code: 47, System: lme, Name: Antarctica",
"Code: 48, System: fao, Name: Atlantic, Antarctic"

}

The detailed json of this stock record is attached.

#7 - Apr 07, 2023 02:17 PM - Yannis Marketakis
- File 79141164-e108-4f2d-aa5f-eb7a4cc0478c.json added

The same functionality is also applicable for GRSF fishery records. The new field for fisheries is called hidden_fishing_area.

{
"fishing_area": [
"Code: KNA, System: eez, Name: fao:31"
]I
"hidden_fishing_area": [
"Code: 31, System: fao, Name: Atlantic, Western Central",
"Code: KNA, System: eez, Name: fao:31"

Files
f0eb0e4d-f2a6-39a2-bfd2-0b541af416dc.json 8.57 KB Apr 07, 2023 Yannis Marketakis
79141164-e108-4f2d-aa5f-eb7a4cc0478c.json 2.08 KB Apr 07, 2023 Yannis Marketakis
